# Manuale utente di &kde;

Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Ricostruisce la cache della configurazione di sistema.

## Sintassi

    kbuildsycoca4  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrizione

`kbuildsycoca4`, che fa parte degli strumenti da riga di comando di &kde;, assicura il buon funzionamento di &kde; leggendo tutti i file `.desktop`, `.directory`, `.kimgio` e `.protocol` per costruire una banca dati in formato binario.

&kde; durante il suo funzionamento accede a questa banca dati per fornire le informazioni di configurazione ad un programma che dev'essere eseguito.

Questo strumento fa parte di ksycoca, che significa &kde; System Configuration Cache

## Opzioni

`--nosignal`

  Non invia segnali alle applicazioni

`--incremental`

  Aggiornamento incrementale

`--help`

  Mostra una guida sulle opzioni

`--help-qt`

  Mostra le opzioni specifiche per Qt

`--help-kde`

  Mostra le opzioni specifiche per KDE

`--help-all`

  Mostra tutte le opzioni

`--author`

  Mostre le informazioni sull'autore

`--version`

  Mostra le informazioni di versione

`--license`

  Mostra le informazioni di licenza

## Uso

Una maniera standard di eseguire questo programma è di specificare il seguente comando al prompt ``kbuildsycoca4``

## File

`/tmp/kde-$USER/ksycoca`

  ...

## Variabili ambiente

$`KDEDIRS`

  Indica quali cartelle fanno parte dell'installazione di KDE

## Vedi anche

kdeinit4

## Bug

Probabilmente ci sono tonnellate di bug. Usa bugs.kde.org per segnalarli.